Query Position
GETπ Trading
Returns all open positions. When no symbol is specified, all positions are returned.
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| symbol | String | No | Market symbol |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| symbol | String | Market symbol |
| side | String | Trade side |
| size | Long | Position size |
| entryPrice | Double | Entry price |
| markPrice | Double | Mark price |
| marginType | Integer | 91: Cross Β· 92: Isolated |
| orderValue | Double | Notional value |
| settleWithAsset | String | Settlement currency |
| totalMaintenanceMargin | Double | Maintenance margin |
| unrealizedProfitLoss | Double | Unrealized P&L |
| liquidationPrice | Double | Liquidation price |
| isolatedLeverage | Double | Isolated leverage |
| adlScoreBucket | Double | ADL probability score |
| liquidationInProgress | Boolean | Whether liquidation is in progress |
| currentLeverage | Double | Current leverage |
| timestamp | Long | Query timestamp |
| takeProfitOrder | Object | Take profit order info |
| stopLossOrder | Object | Stop loss order info |
| positionMode | String | ONE_WAY Β· HEDGE Β· ISOLATED |
| positionDirection | String | Position direction: LONG Β· SHORT (only present in HEDGE/ISOLATED mode) |
| positionId | String | Position ID |
example
GET
https://api.btse.com/futures/api/v2.3/user/positions